{
    attributes = (
        {
            columnName = "CEML_CODE"; 
            externalType = VARCHAR2; 
            name = cemlCode; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 7; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CEML_LC"; 
            externalType = VARCHAR2; 
            name = cemlLc; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CEML_LL"; 
            externalType = VARCHAR2; 
            name = cemlLl; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 40; 
        }, 
        {
            columnName = "CEML_ORDRE"; 
            externalType = NUMBER; 
            name = cemlOrdre; 
            precision = 9; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_FERMETURE"; 
            externalType = DATE; 
            name = dFermeture; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_OUVERTURE"; 
            externalType = DATE; 
            name = dOuverture; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }
    ); 
    attributesUsedForLocking = (cemlCode, cemlLc, cemlLl, cemlOrdre); 
    className = "org.cocktail.mangue.common.modele.nomenclatures.emploi.EOCategorieEmploiLolf"; 
    classProperties = (cemlCode, cemlLc, cemlLl, dCreation, dFermeture, dModification, dOuverture); 
    externalName = "GRHUM.CATEGORIE_EMPLOI_LOLF"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_clientClassPropertyNames" = (cemlCode, cemlLc, cemlLl, cemlOrdre); }; 
    name = CategorieEmploiLolf; 
    primaryKeyAttributes = (cemlOrdre); 
    relationships = (
        {
            destination = CorpsCategEmploi; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cCategorieEmploi; sourceAttribute = cemlCode; }); 
            name = toCorpsCategEmploi; 
        }
    ); 
}
